package com.casic.dcms.model;

import java.util.List;

public class HomePageBean {

    private int code;
    private DataBean data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        private List<MenusBean> menus;

        public List<MenusBean> getMenus() {
            return menus;
        }

        public void setMenus(List<MenusBean> menus) {
            this.menus = menus;
        }

        public static class MenusBean {
            /**
             * children :
             * code : app_case_report
             * icon : icon_case_report
             * id : 1392319718432141314
             * ismenu : 0
             * levels : 1
             * name : 案卷上报
             * num : 1
             * parentId : 0
             * resourceType : 05
             * url : /app/caseReport
             */

            private String children;
            private String code;
            private String icon;
            private String id;
            private String ismenu;
            private int levels;
            private String name;
            private int num;
            private String parentId;
            private String resourceType;
            private String url;

            public String getChildren() {
                return children;
            }

            public void setChildren(String children) {
                this.children = children;
            }

            public String getCode() {
                return code;
            }

            public void setCode(String code) {
                this.code = code;
            }

            public String getIcon() {
                return icon;
            }

            public void setIcon(String icon) {
                this.icon = icon;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getIsmenu() {
                return ismenu;
            }

            public void setIsmenu(String ismenu) {
                this.ismenu = ismenu;
            }

            public int getLevels() {
                return levels;
            }

            public void setLevels(int levels) {
                this.levels = levels;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public int getNum() {
                return num;
            }

            public void setNum(int num) {
                this.num = num;
            }

            public String getParentId() {
                return parentId;
            }

            public void setParentId(String parentId) {
                this.parentId = parentId;
            }

            public String getResourceType() {
                return resourceType;
            }

            public void setResourceType(String resourceType) {
                this.resourceType = resourceType;
            }

            public String getUrl() {
                return url;
            }

            public void setUrl(String url) {
                this.url = url;
            }
        }
    }
}
